ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package models
  Definition Classes
    adam
- Alphabet
- Attribute
- Coverage
- DNAAlphabet
- MdTag
- MdTagEvent
- OptionalPositionOrdering
- OptionalReferenceOrdering
- OptionalRegionOrdering
- PositionOrdering
- ReadGroup
- ReadGroupDictionary
- ReferenceOrdering
- ReferencePosition
- ReferencePositionSerializer
- ReferenceRegion
- ReferenceRegionSerializer
- RegionOrdering
- SequenceDictionary
- SequenceRecord
- SnpTable
- Symbol
- TagType
- VariantContext
- VariantContextSerializer

c

org.bdgenomics.adam.models

# DNAAlphabet 

###

#### class DNAAlphabet extends Alphabet

The standard DNA alphabet with A,T,C, and G

Linear Supertypes
Alphabet, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DNAAlphabet
2. Alphabet
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new DNAAlphabet()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(c: Char): Symbol

   c

     char to lookup as a symbol in this alphabet

   returns

     the given symbol

   Definition Classes
     Alphabet
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  val caseSensitive: Boolean

   flag if symbols are case-sensitive.

   flag if symbols are case-sensitive. if true, this alphabet will treat symbols representing upper and lower case symbols as distinct if false, this alphabet will treat upper or lower case chars as the same for its symbols

   Definition Classes
     DNAAlphabet → Alphabet
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  def reverseComplement(s: String, notFound: (Char) ⇒ Symbol = (c: Char) => Symbol(c, c)): String

    Reverses the string and compliments each residue.

    Reverses the string and compliments each residue.

    If a residue has no known complement, that residue is replaced with a placeholder "not-found" value.

    s

      Each char in this string represents a symbol on the alphabet.

    notFound

      If the char is not in the alphabet then this function is called. default behavior is to return a new Symbol representing the unknown character, so that the unknown char is treated as the complement

    returns

      the reversed complement of the given string.

    Definition Classes
      Alphabet
    See also

      reverseComplementExact

17.  def reverseComplementExact(s: String): String

    Reverses the string and compliments each residue.

    Reverses the string and compliments each residue.

    Fails if a residue has no complement.

    s

      Each char in this string represents a symbol on the alphabet. If the char is not in the alphabet then a NoSuchElementException is thrown

    returns

      the reversed complement of the given string.

    Definition Classes
      Alphabet
    Exceptions thrown

      `IllegalArgumentException` if the string contains a symbol which is not in the alphabet

    See also

      reverseComplement

18.  def size: Int

    The number of symbols in the alphabet.

    The number of symbols in the alphabet.

    Definition Classes
      Alphabet
19.  lazy val symbolMap: Map[Char, Symbol]

    map of the symbol char to the symbol

    map of the symbol char to the symbol

    Definition Classes
      Alphabet
20.  val symbols: Seq[Symbol]

    the symbols in this alphabet

    the symbols in this alphabet

    Definition Classes
      DNAAlphabet → Alphabet
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from Alphabet

### Inherited from AnyRef

### Inherited from Any

### Ungrouped